const headerHrefs = ['#1','#4','quierocolaborar' ,'#5']

class Main extends React.Component{
    constructor(props){
		super(props)
		this.state = {
			language: sessionStorage.getItem("extLanguage"),
		}
		
		this.onScroll = this.onScroll.bind(this)
		this.currentScene
	}
	
	componentDidMount() {
		if(this.state.language) {
			const urlParams = new URLSearchParams(window.location.search)
			const selectedScreen = urlParams.get('s')
			if(selectedScreen) document.getElementById(selectedScreen).scrollIntoView()
			if(sessionStorage.getItem('extLanguage')) sessionStorage.removeItem('extLanguage')
			
			window.addEventListener('scroll', () => {this.onScroll($('.animatable'))}, true)
		}
	}
	
	componentWillUnmount() {
		window.removeEventListener('scroll', this.onScroll)
	}
	
	componentWillUpdate(nextProps, nextState) {
		if (nextState.language !== null)
			window.addEventListener('scroll', () => {this.onScroll($('.animatable'))}, true)
	}
	
	onScroll(scenes) {
		scenes.each(function () {
			const scene = $(this)
			
			if (scene.offset().top - $(window).height() / 2 < $(window).scrollTop()) {
				if(Array.from(scene[0].classList).includes('scene_two_main')) {
					if(!Array.from(scene[0].classList).includes('animation_two')) {
						scene[0].classList.add('animation_two')
						
					}
				}
				if(Array.from(scene[0].classList).includes('scene_three_main')) {
					if(!Array.from(scene[0].classList).includes('animation_three')) {
						scene[0].classList.add('animation_three')
						
					}
				}
				if(Array.from(scene[0].classList).includes('scene_four_main')) {
					if(!Array.from(scene[0].classList).includes('animation_four')) {
						scene[0].classList.add('animation_four')
					}
				}
				if(Array.from(scene[0].classList).includes('scene_four_main__content__services')) {
					if(!Array.from(scene[0].classList).includes('animation_four')) {
						scene[0].classList.add('animation_four')
					}
				}
				if(Array.from(scene[0].classList).includes('scene_five_main')) {
					if(!Array.from(scene[0].classList).includes('animation_five')) {
						scene[0].classList.add('animation_five')
					}
				}
			}
		})
	}

	render() {
		let language = this.state.language
		
		if(language === null) return <LanguagePage controller={this} />
	
	    return(
            <div>
                <Header language={language} hrefs={headerHrefs}/>
                <React.Fragment>
					<SceneOne language={language} />
	                <SceneTwo ref={this.sceneTwoRef} language={language} />
	                <SceneThree ref={this.sceneThreeRef} language={language} />
	                <SceneFour ref={this.sceneFourRef} language={language} />
	                <SceneFive ref={this.sceneFiveRef} language={language} />
				</React.Fragment>
            </div>
        )
	}
}


$( document ).ready(function() {
	ReactDOM.render(<Main />, document.getElementById('Main'))  
})